### 5.1.159 transpose

`Syntax:`
  `transpose (` intmat_expression `)`
  `transpose (` matrix_expression `)`
  `transpose (` smatrix_expression `)`
  `transpose (` module_expression `)`
`Type:`
  intmat, matrix, or module, corresponding to the argument
`Purpose:`
  transposes a matrix.
`Example:`

        ring R=0,x,dp;
        matrix m[2][3]=1,2,3,4,5,6;
        print(m);
      ==> 1,2,3,
      ==> 4,5,6
        print(transpose(m));
      ==> 1,4,
      ==> 2,5,
      ==> 3,6

See intmat; matrix; module; smatrix.

User manual for Singular version 4.4.1, 2025, generated by texi2html.